Skip to main content
GET
/
v1
/
portfolios
/
{portfolio_id}
/
balances
List Portfolio Balances
curl --request GET \
  --url https://api.prime.coinbase.com/v1/portfolios/{portfolio_id}/balances
{
  "balances": [
    {
      "symbol": "BTC",
      "amount": "109.42",
      "holds": "2",
      "bonded_amount": "109.42",
      "reserved_amount": "109.42",
      "unbonding_amount": "109.42",
      "unvested_amount": "109.42",
      "pending_rewards_amount": "109.42",
      "past_rewards_amount": "109.42",
      "bondable_amount": "109.42",
      "withdrawable_amount": "109.42",
      "fiat_amount": "109.42",
      "unbondable_amount": "109.42",
      "claimable_rewards_amount": "0.241437903"
    }
  ],
  "type": "TRADING_BALANCES",
  "trading_balances": {
    "total": "<string>",
    "holds": "<string>"
  },
  "vault_balances": {
    "total": "<string>",
    "holds": "<string>"
  },
  "prime_custody_balances": {
    "total": "<string>",
    "holds": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.cloud.coinbase.com/llms.txt

Use this file to discover all available pages before exploring further.

Use the Prime SDK or CLI to test this endpoint by following the quickstart guide and running with the following examples
BalancesService balancesService = PrimeServiceFactory.createBalancesService(client);

ListPortfolioBalancesRequest request = new ListPortfolioBalancesRequest.Builder("PORTFOLIO_ID_HERE").build();

ListPortfolioBalancesResponse response = balancesService.listPortfolioBalances(request);
For more information, please visit the Prime Java SDK.

Path Parameters

portfolio_id
string
required

The portfolio ID

Query Parameters

symbols
string

A list of symbols by which to filter the response

balance_type
enum<string>

A type by which to filter balances

  • UNKNOWN_BALANCE_TYPE: nil
  • TRADING_BALANCES: Trading balances
  • VAULT_BALANCES: Vault balances
  • TOTAL_BALANCES: Total balances (The sum of vault and trading + prime custody)
  • PRIME_CUSTODY_BALANCES: Prime custody balances
  • UNIFIED_TOTAL_BALANCES: Unified total balance across networks and wallet types (vault + trading + prime custody)
Available options:
TRADING_BALANCES,
VAULT_BALANCES,
TOTAL_BALANCES,
PRIME_CUSTODY_BALANCES,
UNIFIED_TOTAL_BALANCES

Response

200 - application/json

A successful response.

balances
object[]

A list of balances.

type
enum<string>
Available options:
TRADING_BALANCES,
VAULT_BALANCES,
TOTAL_BALANCES,
PRIME_CUSTODY_BALANCES,
UNIFIED_TOTAL_BALANCES
trading_balances
object
vault_balances
object
prime_custody_balances
object